0.84 Linux: Startup: "nothing provides libQt5Core.so.5..."

Ask for help and post your question on how to use XnView MP.

Moderators: XnTriq, helmut, xnview

ChameleonScales
Posts: 3
Joined: Mon Jan 30, 2017 5:13 pm

0.84 Linux: Startup: "nothing provides libQt5Core.so.5..."

Postby ChameleonScales » Mon Jan 30, 2017 5:50 pm

I'm trying to install XnViewMP for OpenSUSE using the XnViewMP-linux.x86_64.rpm from http://download.xnview.com/

When I run it, I get the following message :
nothing provides libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit) needed by xnview-0.84-2.x86_64


I looked for this package on the web and didn't find it.

Any ideas ? Will it work if I install XnView without this package ?

I'm on OpenSUSE Leap 42.2

User avatar
xnview
Author of XnView
Posts: 26997
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.84 Linux: Startup: "nothing provides libQt5Core.so.5..

Postby xnview » Tue Jan 31, 2017 8:00 am

and if you try the tgz package?
Pierre.

ChameleonScales
Posts: 3
Joined: Mon Jan 30, 2017 5:13 pm

Re: 0.84 Linux: Startup: "nothing provides libQt5Core.so.5..

Postby ChameleonScales » Wed Feb 01, 2017 12:27 am

Sorry I didn't mention it, but yes I tried the tgz first and it didn't start.
Once extracted, starting XnView from the terminal gives this message :
/usr/lib64/libQt5Network.so.5: version `Qt_5_PRIVATE_API' not found (required by ./XnView)

I checked and I have libQt5Network5 installed but I guess it's different since it doesn't have the ".so.5" (and the same goes for Core5).

Also I just tried the tgz on Manjaro and Kubuntu and got this message :

Code: Select all

This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Reinstalling the application may fix this problem.
Aborted (core dumped)

Although on Manjaro I could install it from the AUR and on Kubuntu I could use the .deb package. But for OpenSUSE ? I didn't find a solution.

User avatar
xnview
Author of XnView
Posts: 26997
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.84 Linux: Startup: "nothing provides libQt5Core.so.5..

Postby xnview » Thu Feb 02, 2017 8:48 am

this old version works?
Pierre.

ChameleonScales
Posts: 3
Joined: Mon Jan 30, 2017 5:13 pm

Re: 0.84 Linux: Startup: "nothing provides libQt5Core.so.5..

Postby ChameleonScales » Thu Feb 02, 2017 4:06 pm

Yes !
So I've got a question : is this issue related to OpenSUSE or am I just an isolated case ?
If it's an openSUSE problem, could it be fixed on the new version ?

User avatar
xnview
Author of XnView
Posts: 26997
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.84 Linux: Startup: "nothing provides libQt5Core.so.5..

Postby xnview » Fri Feb 03, 2017 12:17 pm

ChameleonScales wrote:Yes !
So I've got a question : is this issue related to OpenSUSE or am I just an isolated case ?
If it's an openSUSE problem, could it be fixed on the new version ?

the official release is built for ubuntu, i need to build a version for debian based
Pierre.


Return to “MP - General Support”

Who is online

Users browsing this forum: No registered users and 1 guest